Modbot Docs
APIAPI referenceAutoMod settings

Get rule test set

GET/api/settings/automod/rules/{kind}/{id}/tests

A rule's sample texts and its last runs.

Needs the ManageSettings permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Path Parameters

kind*string
id*string
Formatuuid

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/settings/automod/rules/string/497f6eca-6276-4993-bfeb-53cbbbba6f08/tests"
{  "ruleKind": "string",  "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac",  "ruleName": "string",  "ruleVersion": 0,  "acting": true,  "samples": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "text": "string",      "shouldFlag": true,      "note": null,      "target": "string",      "seeded": true    }  ],  "runs": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "ranAt": "2019-08-24T14:15:22Z",      "model": null,      "ruleVersion": 0,      "samples": 0,      "shouldFlagCount": 0,      "caught": 0,      "missed": 0,      "shouldNotFlagCount": 0,      "wronglyFlagged": 0,      "aiSkipped": null,      "ranBy": null,      "results": [        {          "sampleId": "5c4a81f0-8df5-49c5-ae5b-8065332edd7d",          "text": "string",          "shouldFlag": true,          "note": null,          "target": "string",          "flagged": true,          "term": null,          "matched": null,          "reason": null        }      ]    }  ]}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.